Subject: Re: [rtcweb] Relationship of ROAP and PeerConnection?

From: Tim Panton <[email-masked]>
Date: Thu, 27 Oct 2011 07:59:31 -0600

On 26 Oct 2011, at 08:41, Cullen Jennings wrote:

> 
> Right now the W3C API and ROAP are way out of sync so it makes it particularly hard to do the mapping in ones head. Eventually we will need to sort out which spec defines the JSON object as the string form of that is the ROAP protocol and also would be passed across the RTCWeb API. There are arguments either way but I'm sure that we want it defined one place and the other place to point at it. I think as we get this all sorted out, it will become relatively clear which document to put the text in. Right now, I'm just trying to focus on does the idea look like it is on the right path regardless of which document it is in. The fact the various specs are so out of sync makes it hard to get ones head around the whole idea. In the meantime, the ROAP JSON object is primarily about a concrete instantiation of the abstract RFC 3264 Offer/Answer protocol and is key to the over the wire ROAP protocol to a signaling gateway so I think it fairly reasonable to be driving the discussion fr
> om and IETF document vs a W3C one. From W3C API point of view, it is more of an opaque contain of information used for IETF protocols. 

Agreed, with the exception that we need the W3C to help specify an API for the 'Hints' and 'Properties' interfaces
that we agreed were required in the last call.

Tim.